Package Details: frescobaldi 3.0.0-2

Git Clone URL: https://aur.archlinux.org/frescobaldi.git (read-only)
Package Base: frescobaldi
Description: A LilyPond sheet music text editor.
Upstream URL: http://www.frescobaldi.org/
Keywords: LilyPond
Licenses: GPL
Submitter: None
Maintainer: rdoursenaud
Last Packager: rdoursenaud
Votes: 88
Popularity: 2.233430
First Submitted: 2009-01-08 03:10
Last Updated: 2017-02-21 14:37

Dependencies (22)

Required by (0)

Sources (1)

Latest Comments

1 2 3 4 5 6 ... Next › Last »

mthead commented on 2018-08-12 14:29

Thank you SeeLook! That worked for me, too.

SeeLook commented on 2018-08-12 13:23

So try to rebuild/reinstall Frescobaldi itself. For me, it launches well after that

mthead commented on 2018-08-12 11:28

Again frescobaldi is failing to launch. Tried recompiling python-poppler-qt5 and python-ly but still get:

% frescobaldi Traceback (most recent call last): File "/usr/bin/frescobaldi", line 4, in <module> from frescobaldi_app import toplevel ModuleNotFoundError: No module named 'frescobaldi_app'</module>

cgb commented on 2018-07-12 14:11

@rdoursenaud solved. Thank you!

rdoursenaud commented on 2018-07-11 20:39

@cgb Recompiling python-poppler-qt5 from the AUR should sort things out.

cgb commented on 2018-07-11 18:28

Frescobaldi is failing to launch (yesterday it was working). Looking at the last installed packages I see the suspicious python-sip-pyqt5 (maybe an update? I can't confirm if this was updated recently). Here is the outuput from the terminal when I try to launch frescobaldi.

qt5ct: using qt5ct plugin qt5ct: D-Bus global menu: no Traceback (most recent call last): File "/usr/lib/python3.6/site-packages/frescobaldi_app/plugin.py", line 79, in instance return _instances[cls][obj] File "/usr/lib/python3.6/weakref.py", line 394, in getitem return self.data[ref(key)] KeyError: <weakref 'type'="" (panelmanager)="" 0x556bebb8bd48="" 0x7fe9c92d8868;="" at="" to=""></weakref>

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File "/usr/bin/frescobaldi", line 11, in <module> main.main() # Parse command line, create windows etc File "/usr/lib/python3.6/site-packages/frescobaldi_app/main.py", line 247, in main win = mainwindow.MainWindow() File "/usr/lib/python3.6/site-packages/frescobaldi_app/mainwindow.py", line 128, in init self.createMenus() File "/usr/lib/python3.6/site-packages/frescobaldi_app/mainwindow.py", line 1010, in createMenus menu.createMenus(self) File "/usr/lib/python3.6/site-packages/frescobaldi_app/menu.py", line 61, in createMenus m.addMenu(menu_file(mainwindow)) File "/usr/lib/python3.6/site-packages/frescobaldi_app/menu.py", line 96, in menu_file m.addMenu(snippet.menu.TemplateMenu(mainwindow)) File "/usr/lib/python3.6/site-packages/frescobaldi_app/snippet/menu.py", line 139, in init self.addAction(self.tool().actionCollection.templates_manage) File "/usr/lib/python3.6/site-packages/frescobaldi_app/snippet/menu.py", line 59, in tool return panelmanager.manager(self.mainwindow()).snippettool File "/usr/lib/python3.6/site-packages/frescobaldi_app/panelmanager.py", line 36, in manager return PanelManager.instance(mainwindow) File "/usr/lib/python3.6/site-packages/frescobaldi_app/plugin.py", line 84, in instance result.init(obj) File "/usr/lib/python3.6/site-packages/frescobaldi_app/panelmanager.py", line 51, in init self.loadPanel("musicview.MusicViewPanel") File "/usr/lib/python3.6/site-packages/frescobaldi_app/panelmanager.py", line 86, in loadPanel import(module_name) File "/usr/lib/python3.6/site-packages/frescobaldi_app/musicview/init.py", line 56, in <module> from . import documents File "/usr/lib/python3.6/site-packages/frescobaldi_app/musicview/documents.py", line 32, in <module> import popplerqt5 ValueError: PyCapsule_GetPointer called with incorrect name</module></module></module>

rdoursenaud commented on 2017-03-28 13:25

@clarnist I don't see any newer version than this one (v3.0.0).

clarnist commented on 2017-03-28 12:34

@rdoursenaud On frescobaldi.org is new version available. Can you do update?

rdoursenaud commented on 2017-02-21 14:38

@mthead Just added the missing dependencies. Thanks for the heads up!

mthead commented on 2017-02-21 12:05

Beginning with frescobaldi 3.0.0-1 I had to install qt5-svg to prevent an error message when clicking on Snippets menu:

Traceback (most recent call last):
File "/usr/lib/python3.6/site-packages/frescobaldi_app/snippet/menu.py", line 64, in populate
from . import model, snippets, actions
File "/usr/lib/python3.6/site-packages/frescobaldi_app/snippet/model.py", line 34, in <module>
from . import snippets
File "/usr/lib/python3.6/site-packages/frescobaldi_app/snippet/snippets.py", line 34, in <module>
import symbols
File "/usr/lib/python3.6/site-packages/frescobaldi_app/symbols/__init__.py", line 31, in <module>
from PyQt5.QtSvg import QSvgRenderer
ImportError: libQt5Svg.so.5: cannot open shared object file: No such file or directory

Unless it is something unusual with my setup, perhaps qt5-svg needs to be added to dependencies.